
Name:    kxdocker
Summary: A Mac OSX style docker
Version: 0.39
Release: 3%{?dist} 

License: GPL
Group:   User Interface/Desktops
Url:     http://www.xiaprojects.com/www/prodotti/kxdocker/ 
Source:  http://www.xiaprojects.com/www/downloads/files/kxdocker/kxdocker-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: kxdocker-resources

BuildRequires: desktop-file-utils
BuildRequires: qt-devel >= 1:3.3
BuildRequires: kdelibs-devel >= 6:3.3

%description
KXDocker is an innovative docker for KDE, it's very similar to Mac OSX Docker,
just more powerful!

What can KXDocker do for you? (oppure It can work as).
Task Manager
Mounts Manager
Launcher
and much more.


%prep
%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --disable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Utility \
  --add-category KDE \
  --add-category Qt \
  --add-category Application \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/appl*/*/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
rm -rf $RPM_BUILD_ROOT 


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/apps/kxdocker
%{_datadir}/icons/hicolor/*/*/


%changelog
* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.39-3
- fix symlinks
- simplify configure

* Mon Oct 31 2005 Rex Dieter 0.39-2
- use desktop-file-install

* Mon Oct 31 2005 Rex Dieter 0.39-1
- first try
